<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positsioneerimise harjutus</title>
    <link rel="stylesheet" href="positioningex.css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</head>

<body>
    <header>
        <div id="sub-header-1">Super Cool Header!</div>
        <div id="headline-text">Test</div>
        <div id="left-box">The left box</div>
        <div id="right-box">The right box</div>
        <div id="center-box">Positioning is easy!</div>
    </header>
    <nav>
        <div onclick="manageNav()" id="nav-button">
            <i class="material-icons">add_circle</i>
        </div>
        <div id="nav-content">
            <div>
                <a href="https://bbc.com">BBC</a>
            </div>
            <div>
                <a href="https://cnn.com">CNN</a>
            </div>
            <div>
                <a href="https://reuters.com">Reuters</a>
            </div>
        </div>
    </nav>
    <main>
        <h1>Headline</h1>
        
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Quasi voluptatum architecto qui ex dignissimos
            culpa expedita praesentium illo exercitationem. Error impedit eius ipsum commodi obcaecati quo, ducimus
            reprehenderit laudantium adipisci.
        </p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Itaque quasi, molestiae explicabo corrupti pariatur
            tenetur? Mollitia quasi facilis ullam corporis ab pariatur maxime sunt iste voluptatibus odio! Quas, quia
            possimus.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Quasi voluptatum architecto qui ex dignissimos
            culpa expedita praesentium illo exercitationem. Error impedit eius ipsum commodi obcaecati quo, ducimus
            reprehenderit laudantium adipisci.
        </p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Itaque quasi, molestiae explicabo corrupti pariatur
            tenetur? Mollitia quasi facilis ullam corporis ab pariatur maxime sunt iste voluptatibus odio! Quas, quia
            possimus.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Quasi voluptatum architecto qui ex dignissimos
            culpa expedita praesentium illo exercitationem. Error impedit eius ipsum commodi obcaecati quo, ducimus
            reprehenderit laudantium adipisci.
        </p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Itaque quasi, molestiae explicabo corrupti pariatur
            tenetur? Mollitia quasi facilis ullam corporis ab pariatur maxime sunt iste voluptatibus odio! Quas, quia
            possimus.
        </p>
        <p>
            Lorem ipsum, dolor sit amet consectetur adipisicing elit. Quasi voluptatum architecto qui ex dignissimos
            culpa expedita praesentium illo exercitationem. Error impedit eius ipsum commodi obcaecati quo, ducimus
            reprehenderit laudantium adipisci.
        </p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Itaque quasi, molestiae explicabo corrupti pariatur
            tenetur? Mollitia quasi facilis ullam corporis ab pariatur maxime sunt iste voluptatibus odio! Quas, quia
            possimus.
        </p>
    </main>
    <script>
        function openNav() {
            document.querySelector('nav').style.width = '100%'
            document.querySelector('#nav-button').innerHTML = '<i class="material-icons">close</i>'
        }
        function closeNav() {
            document.querySelector('nav').style.width = '40px'
            document.querySelector('#nav-button').innerHTML = '<i class="material-icons">add_circle</i>'
        }
        let isNavOpen = false
        function manageNav() {
            if (isNavOpen == true) {
                closeNav()
                isNavOpen = false
            } else {
                openNav()
                isNavOpen = true
            }
        }
    </script>
</body>

</html>